# azure.mgmt.iotcentral.models module

exception `azure.mgmt.iotcentral.models.``ErrorDetailsException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorDetails’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.iotcentral.models.``App`(*, location: str, sku, tags=None, display_name: str = None, subdomain: str = None, template: str = None, **kwargs)

  Bases: `azure.mgmt.iotcentral.models._models_py3.Resource`

  The IoT Central application.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The ARM resource identifier.
  - name (str) – The ARM resource name.
  - type (str) – The resource type.
  - application_id (str) – The ID of the application.

  Parameters:

  - location (str) – Required. The resource location.
  - tags (dict[str, str]) – The resource tags.
  - display_name (str) – The display name of the application.
  - subdomain (str) – The subdomain of the application.
  - template (str) – The ID of the application template, which is a blueprint that defines the characteristics and behaviors of an application. Optional; if not specified, defaults to a blank blueprint and allows the application to be defined from scratch.
  - sku (AppSkuInfo) – Required. A valid instance SKU.

class `azure.mgmt.iotcentral.models.``AppAvailabilityInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  The properties indicating whether a given IoT Central application name or subdomain is available.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name_available (bool) – The value which indicates whether the provided name is available.
  - reason (str) – The reason for unavailability.
  - message (str) – The detailed reason message.

class `azure.mgmt.iotcentral.models.``AppPatch`(*, tags=None, display_name: str = None, subdomain: str = None, template: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The description of the IoT Central application.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - tags (dict[str, str]) – Instance tags
  - display_name (str) – The display name of the application.
  - subdomain (str) – The subdomain of the application.
  - template (str) – The ID of the application template, which is a blueprint that defines the characteristics and behaviors of an application. Optional; if not specified, defaults to a blank blueprint and allows the application to be defined from scratch.

  Variables: | application_id (str) – The ID of the application.

class `azure.mgmt.iotcentral.models.``AppSkuInfo`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about the SKU of the IoT Central application.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or AppSku) – Required. The name of the SKU. Possible values include: ‘F1’, ‘S1’, ‘ST0’, ‘ST1’, ‘ST2’

class `azure.mgmt.iotcentral.models.``AppTemplate`(**kwargs)

  Bases: `msrest.serialization.Model`

  IoT Central Application Template.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - manifest_id (str) – The ID of the template.
  - manifest_version (str) – The version of the template.
  - app_template_name (str) – The name of the template.
  - title (str) – The title of the template.
  - order (float) – The order of the template in the templates list.
  - description (str) – The description of the template.

class `azure.mgmt.iotcentral.models.``ErrorDetails`(*, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – The error code.
  - message (str) – The error message.
  - target (str) – The target of the particular error.

  Parameters: | details (list[ErrorResponseBody]) – A list of additional details about the error.

class `azure.mgmt.iotcentral.models.``ErrorResponseBody`(*, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Details of error response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – The error code.
  - message (str) – The error message.
  - target (str) – The target of the particular error.

  Parameters: | details (list[ErrorResponseBody]) – A list of additional details about the error.

class `azure.mgmt.iotcentral.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  IoT Central REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{read | write | action | delete}
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.iotcentral.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Microsoft IoT Central
  - resource (str) – Resource Type: IoT Central
  - operation (str) – Name of the operation
  - description (str) – Friendly description for the operation,

class `azure.mgmt.iotcentral.models.``OperationInputs`(*, name: str, type: str = 'IoTApps', **kwargs)

  Bases: `msrest.serialization.Model`

  Input values.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the IoT Central application instance to check.
  - type (str) – The type of the IoT Central resource to query. Default value: “IoTApps” .

class `azure.mgmt.iotcentral.models.``Resource`(*, location: str, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The common properties of an ARM resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The ARM resource identifier.
  - name (str) – The ARM resource name.
  - type (str) – The resource type.

  Parameters:

  - location (str) – Required. The resource location.
  - tags (dict[str, str]) – The resource tags.

class `azure.mgmt.iotcentral.models.``AppPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `App` object

class `azure.mgmt.iotcentral.models.``AppTemplatePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AppTemplate` object

class `azure.mgmt.iotcentral.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.iotcentral.models.``AppSku`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `f1` = 'F1'
  `s1` = 'S1'
  `st0` = 'ST0'
  `st1` = 'ST1'
  `st2` = 'ST2'